For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log in to the PayOS Dashboard
GuidesAPI ReferenceHelp Center
GuidesAPI ReferenceHelp Center
  • Authentication API
    • POSTRequest an Access Token
  • Payments API
  • Payment Rules API
  • Payouts API
      • POSTInitiate a payout transaction
      • GETSearch payouts by merchant reference
      • GETRetrieve Payout
      • GETList Payouts
  • Payers API [BETA]
  • Reporting API
  • Verification API
Log in to the PayOS Dashboard
LogoLogo
Payouts APIPayout

Initiate a payout transaction

POST
https://api.payos.money/api/v1/payout/initiate
POST
/api/v1/payout/initiate
$curl -X POST https://api.payos.money/api/v1/payout/initiate \
> -H "Content-Type: application/json" \
> -d '{
> "merchantId": "string",
> "merchantReference": "string",
> "destinationValue": {
> "minorAmount": 1,
> "currency": "string"
> },
> "paymentMethodId": "card",
> "paymentLocation": "string",
> "recipient": {
> "type": "bank_account",
> "accountNumber": "string",
> "bankCode": "string",
> "accountHolderName": "string",
> "country": "AFG"
> },
> "sender": {
> "fullName": "string",
> "identity": "passport",
> "identityNumber": "string"
> }
>}'
1{}
Creates a new payout transaction for the specified recipient
Was this page helpful?
Previous

Search payouts by merchant reference

Next
Built with

Request

This endpoint expects an object.
merchantIdstringRequired
Merchant ID for the payout
merchantReferencestringRequired
Merchant reference for the payout
destinationValueobjectRequired
Destination amount and currency for the payout
paymentMethodIdenumRequired

Payment method identifier (e.g., “banktransfer”)

paymentLocationstringRequired

3-letter ISO country code

recipientobjectRequired
Recipient details for the payout
senderobjectRequired

Sender details for the payout (required for KYT screening)

attributesmap from strings to stringsOptional

Additional payout attributes as key-value pairs

Response

Payout transaction initiated successfully

Errors

401
Unauthorized Error
422
Unprocessable Entity Error
500
Internal Server Error